%define oname Sunflower
Summary:    Small and highly customizable twin-panel file manager
Name:       sunflower
Version:    0.5.63
Release:    1%{?dist}

License:    GPLv3+
URL:        https://github.com/MeanEYE/Sunflower
Source:     https://codeload.github.com/MeanEYE/Sunflower/tar.gz/0.5-63#/Sunflower-0.5-63.tar.gz
Patch1:     update-path-for-icon.patch
Patch2:     add-locale.patch

BuildRequires:  python3-devel
BuildRequires:  gtk3-devel
BuildRequires:  libnotify-devel
BuildRequires:  vte291-devel
BuildRequires:  python3-gobject-devel
BuildRequires:  python3-chardet

BuildArch: noarch


%description
Sunflower is a small and highly customizable twin-panel file manager for Linux
with support for plugins. It is intended to be an easy-to-use and powerful
file manager that seamlessly integrates into the GNOME desktop environment
(but not limited to). Fully compatible and native to Wayland compositors.

%prep
%autosetup -p1 -n Sunflower-0.5-63
rm -fr ./translations/be
rm -fr ./translations/ca
rm -fr ./translations/cs_CZ
rm -fr ./translations/de_DE
rm -fr ./translations/eh_AU
rm -fr ./translations/lv
rm -fr ./translations/nl_BE
rm -fr ./translations/pl_PL
rm -fr ./translations/ru_RU
rm -fr ./translations/sv
rm -fr ./translations/tr
rm -fr ./translations/zh_TW

%build
%{py3_build}

%install
%{py3_install}
chmod +x %{buildroot}%{python3_sitelib}/%{name}/__main__.py

%find_lang %{name}

%files -f %{name}.lang
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{python3_sitelib}/*
%{_datadir}/%{name}
%{_datadir}/applications/Sunflower.desktop

%changelog
* Tue Nov  7 2023 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.5.63-1
- Rebuilt for MSVSphere 9.3

* Fri Apr 14 2023 Alexander Burmatov <thatman@altlinux.org> 0.5.63-alt3
- Remove empty translations

* Tue Apr 11 2023 Alexander Burmatov <thatman@altlinux.org> 0.5.63-alt2
- Add translations (tnx respublica@)

* Fri Mar 10 2023 Alexander Burmatov <thatman@altlinux.org> 0.5.63-alt1
- Initial build for Sisyphus
- New file manager (ALT #45433)
